import codedeploy = require('@aws-cdk/aws-codedeploy');
import codepipeline = require('@aws-cdk/aws-codepipeline');
/**
 * Construction properties of the {@link CodeDeployServerDeployAction CodeDeploy server deploy CodePipeline Action}.
 */
export interface CodeDeployServerDeployActionProps extends codepipeline.CommonActionProps {
    /**
     * The source to use as input for deployment.
     */
    readonly inputArtifact: codepipeline.Artifact;
    /**
     * The CodeDeploy server Deployment Group to deploy to.
     */
    readonly deploymentGroup: codedeploy.IServerDeploymentGroup;
}
export declare class CodeDeployServerDeployAction extends codepipeline.DeployAction {
    private readonly deploymentGroup;
    constructor(props: CodeDeployServerDeployActionProps);
    protected bind(info: codepipeline.ActionBind): void;
}
